Bug 65411 - Web Inspector: merge FormattedSourceFile into SourceFile.
Summary: Web Inspector: merge FormattedSourceFile into SourceFile.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Pavel Podivilov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-30 06:49 PDT by Pavel Podivilov
Modified: 2011-08-02 09:00 PDT (History)
10 users (show)

See Also:


Attachments
Patch (13.12 KB, patch)
2011-07-30 06:51 PDT, Pavel Podivilov
pfeldman: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Podivilov 2011-07-30 06:49:59 PDT
Web Inspector: merge FormattedSourceFile into SourceFile.

Prepare for splitting SourceFile into RawSourceCode and UISourceCode:
* merge FormattedSourceFile into SourceFile
* rename SourceFile to RawSourceCode
* hide formatter worker lazy creation in ScriptFormatter
Comment 1 Pavel Podivilov 2011-07-30 06:51:46 PDT
Created attachment 102435 [details]
Patch
Comment 2 Pavel Feldman 2011-08-01 09:55:45 PDT
Comment on attachment 102435 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=102435&action=review

> Source/WebCore/inspector/front-end/DebuggerPresentationModel.js:33
> +    this._formatter = new WebInspector.ScriptFormatter();

Please add fixme suggesting that formatter is applied from outside as a generic mapping.
Comment 3 Pavel Podivilov 2011-08-02 09:00:19 PDT
Committed r92196: <http://trac.webkit.org/changeset/92196>